const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const event_ticket_types = sequelize.define(
    'event_ticket_types',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,

      },

price: {
        type: DataTypes.DECIMAL,

      },

currency: {
        type: DataTypes.TEXT,

      },

capacity_overrides: {
        type: DataTypes.INTEGER,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  event_ticket_types.associate = (db) => {

    db.event_ticket_types.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.event_ticket_types.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return event_ticket_types;
};

